Subject: Ticket Assigned - Returns
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Mon, 10 May 2021 13:41:51 +0000

Hi Elharith elsiddig,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns My order number is 6288235974
I returned 3 items in store same time but I received refund for 2 items I called so many times to customer care but still not solve my one item refund is pending I sent email with attachment  with return receipt but no reply please I request to refund my 55 riyals already 15 days finished solve this asap
Note: if you need again that ruturn receipt I will send again no issues https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2378549